digiKam Developer Documentation: Digikam::TimeLineWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | List of all members
Digikam::TimeLineWidget Class Reference
Inheritance diagram for Digikam::TimeLineWidget:

## Public Types
enum | ScaleMode { LinScale = 0 , LogScale }
enum | SelectionMode { Unselected = 0 , FuzzySelection , Selected }
enum | TimeUnit { Day = 0 , Week , Month , Year }

## Public Slots
void | slotBackward ()
void | slotDatesHash (const QHash< QDateTime, int > &)
void | slotForward ()
void | slotNext ()
void | slotPrevious ()
void | slotResetSelection ()

## Signals
void | signalCursorPositionChanged ()
void | signalDateMapChanged ()
void | signalRefDateTimeChanged ()
void | signalSelectionChanged ()

## Public Member Functions
| TimeLineWidget (QWidget *const parent=nullptr)
QDateTime | cursorDateTime () const
int | cursorInfo (QString &infoDate) const
int | indexForCursorDateTime () const
int | indexForRefDateTime () const
ScaleMode | scaleMode () const
DateRangeList | selectedDateRange (int &totalCount) const
void | setCurrentIndex (int index)
void | setCursorDateTime (const QDateTime &dateTime)
void | setScaleMode (ScaleMode scaleMode)
void | setSelectedDateRange (const DateRangeList &list)
void | setTimeUnit (TimeUnit timeUnit)
TimeUnit | timeUnit () const
int | totalIndex () const

## Member Enumeration Documentation

## ◆ ScaleMode

enum Digikam::TimeLineWidget::ScaleMode

Enumerator
LinScale | Linear scale.
LogScale | Logarithmic scale.

## ◆ SelectionMode

enum Digikam::TimeLineWidget::SelectionMode

Enumerator
Unselected | No selection.
FuzzySelection | Partially selected.
Selected | Fully selected.

## Member Function Documentation

## ◆ selectedDateRange()

DateRangeList Digikam::TimeLineWidget::selectedDateRange | ( | int & | totalCount | ) | const

Returns
  A list of Date-Range based on selection performed on days-map